﻿Imports C1.Win.C1Input

Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        Dim form As New Form2
        Dim before = Date.Now
        FormFont(form)

        Label1.Text = $"TimeSpent: {(Date.Now - before).TotalMilliseconds}ms"
    End Sub

    Private Sub FormFont(Forma As Form, Optional LargerFontSize As Boolean = False)
        Dim newFont As New Font("Segoe UI", If(LargerFontSize, 8, 12), FontStyle.Regular, GraphicsUnit.Point)
        For Each tmpControl As C1NumericEdit In Forma.Controls
            With tmpControl
                .Font = newFont
                .ValueChangedBehavior = ValueChangedBehaviorEnum.FireOnAnyChange
                .TextAlign = HorizontalAlignment.Right
                If .Label IsNot Nothing Then
                    .Label.AutoSize = True
                    .Label.SendToBack()
                End If
                .NumericInputKeys = NumericInputKeyFlags.Minus Or NumericInputKeyFlags.Plus Or NumericInputKeyFlags.[Decimal]
                .EmptyAsNull = True
                .BorderStyle = BorderStyle.FixedSingle
                .BorderColor = ColorTranslator.FromHtml("#ECEAE4")
                .BackColor = Color.White
                .ErrorInfo.ShowErrorMessage = False
                .NegativeForeColor = Color.Red
                .DisabledForeColor = Color.Black
            End With
        Next
    End Sub
End Class
